Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.bruteforce.scope
Class BruteForceSolverPhaseScope

    java.lang.Object
      org.optaplanner.core.impl.phase.AbstractSolverPhaseScope
          org.optaplanner.core.impl.bruteforce.scope.BruteForceSolverPhaseScope

    public class BruteForceSolverPhaseScope

extends AbstractSolverPhaseScope

Field Summary

Fields inherited from class org.optaplanner.core.impl.phase.AbstractSolverPhaseScope
`bestSolutionStepIndex, logger, solverScope, startingScore, startingSystemTimeMillis`

Constructor Summary
`BruteForceSolverPhaseScope(DefaultSolverScope solverScope)`

Method Summary
`BruteForceStepScope` | `getLastCompletedStepScope()`
`void` | `setLastCompletedStepScope(BruteForceStepScope lastCompletedStepScope)`

Methods inherited from class org.optaplanner.core.impl.phase.AbstractSolverPhaseScope
`assertExpectedUndoMoveScore, assertExpectedWorkingScore, assertWorkingScoreFromScratch, calculatePhaseTimeMillisSpend, calculateScore, calculateSolverTimeMillisSpend, getBestScore, getBestSolutionStepIndex, getScoreDefinition, getScoreDirector, getSolutionDescriptor, getSolverScope, getStartingScore, getStartingSystemTimeMillis, getWorkingEntityCount, getWorkingEntityList, getWorkingRandom, getWorkingSolution, getWorkingValueCount, isBestSolutionInitialized, reset, setBestSolutionStepIndex, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BruteForceSolverPhaseScope

    public BruteForceSolverPhaseScope(DefaultSolverScope solverScope)

Method Detail

### getLastCompletedStepScope

    public BruteForceStepScope getLastCompletedStepScope()

  Specified by:
    `getLastCompletedStepScope` in class `AbstractSolverPhaseScope`

### setLastCompletedStepScope

    public void setLastCompletedStepScope(BruteForceStepScope lastCompletedStepScope)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.